"""
Configs migration

Generation datetime: 2021-10-20 11:52:39.068555
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper

REVISION = "6a1b732d"
DOWN_REVISION = "a83128cf"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_LICENSES_ADDRESS",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-admin", "luna-api", "luna-faces"],
        newServices=["luna-admin", "luna-api", "luna-faces", "luna-handlers"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
