"""

Configs migration



Generation datetime: 2022-08-09 12:58:04.246492

"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper


REVISION = "822e7d26"

DOWN_REVISION = "2a7da489"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="FACE_DETECTOR_V3",
        oldDefaultValue={
            "max_face_size": 640,
            "min_face_size": 50,
            "redetect_tensor_size": 80,
            "redetect_face_target_size": 45,
            "redetect_score_threshold": 0.3,
            "score_threshold": 0.89,
        },
        newDefaultValue={
            "max_face_size": 640,
            "min_face_size": 50,
            "redetect_tensor_size": 80,
            "redetect_face_target_size": 45,
            "redetect_score_threshold": 0.3,
            "score_threshold": 0.42,
        },
        settingUpgradeFunction=lambda x: {**x, **{"score_threshold": 0.42}},
        settingDowngradeFunction=lambda x: {**x, **{"score_threshold": 0.89}},
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-handlers"],
        newServices=["luna-handlers"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
